## q4wine 0.118

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(q4wine)

SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(APP_VERSION "0.118")

if(POLICY CMP0011)
  cmake_policy(SET CMP0011 NEW)
endif(POLICY CMP0011)

# RPATH fixes
# skip the full RPATH for the build tree
#SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
# when building, use the install RPATH already
# (so it doesn't need to relink when installing)
#SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
# the RPATH to be used when installing
# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
#SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

IF (NOT DEFINED WITH_ICOUTILS)
    SET(WITH_ICOUTILS "ON")
ENDIF (NOT DEFINED WITH_ICOUTILS)

IF (NOT DEFINED WITH_WINETRIKS)
    SET(WITH_WINETRIKS "OFF")
ENDIF (NOT DEFINED WITH_WINETRIKS)

IF (NOT DEFINED DEBUG)
    SET(DEBUG "OFF")
ENDIF (NOT DEFINED DEBUG)

IF (NOT DEFINED WITH_EMBEDDED_FUSEISO)
    SET(WITH_EMBEDDED_FUSEISO "OFF")
ENDIF (NOT DEFINED WITH_EMBEDDED_FUSEISO)

IF (NOT DEFINED WITH_WINEAPPDB)
    SET(WITH_WINEAPPDB "ON")
ENDIF (NOT DEFINED WITH_WINEAPPDB)

IF (NOT DEFINED USE_BZIP2)
    SET(USE_BZIP2 "OFF")
ENDIF (NOT DEFINED USE_BZIP2)

IF (NOT DEFINED USE_GZIP)
    SET(USE_GZIP "OFF")
ENDIF (NOT DEFINED USE_GZIP)


MESSAGE("\n * Utility for management wine applications and prefixes")
MESSAGE(" * (C) 2008-2010, brezblock core team")
MESSAGE(" * http://brezblock.org.ua/\n")

MESSAGE(STATUS "Q4Wine build enveropment -- \n")

SET(QT_MIN_VERSION "4.4.1")
FIND_PACKAGE(Qt4 REQUIRED)
      IF(QT_FOUND)
            MESSAGE("\n-- Found Qt version : ${QTVERSION}")
            IF(QT_QTSQL_FOUND)
                SET(QT_USE_QTSQL 1)
            ELSE(QT_QTSQL_FOUND)
                MESSAGE(FATAL ERROR "Qt SQL libraries missing.")
            ENDIF(QT_QTSQL_FOUND)

            IF(QT_QTGUI_FOUND)
                SET(QT_USE_QTGUI 1)
            ELSE(QT_QTGUI_FOUND)
                MESSAGE(FATAL ERROR "Qt GUI libraries missing.")
            ENDIF(QT_QTGUI_FOUND)

            IF(QT_QTNETWORK_FOUND)
                SET(QT_USE_QTNETWORK 1)
            ELSE(QT_QTNETWORK_FOUND)
                MESSAGE(FATAL ERROR "Qt NetWork libraries missing.")
            ENDIF(QT_QTNETWORK_FOUND)

            IF(QT_QTXML_FOUND)
                SET(QT_USE_QTXML 1)
            ELSE(QT_QTXML_FOUND)
                MESSAGE(FATAL ERROR "Qt XML libraries missing.")
            ENDIF(QT_QTXML_FOUND)

            IF(QT_QTCORE_FOUND)
                SET(QT_USE_QTCORE 1)
            ELSE(QT_QTCORE_FOUND)
                MESSAGE(FATAL ERROR "Qt Core libraries missing.")
            ENDIF(QT_QTCORE_FOUND)

            INCLUDE(${QT_USE_FILE})
      ELSE(QT_FOUND)
            MESSAGE(FATAL ERROR "Qt4 not found.")
      ENDIF(QT_FOUND)

MESSAGE(STATUS "Build realm is   : ${CMAKE_SYSTEM_NAME} ${CMAKE_HOST_SYSTEM_PROCESSOR}\n")

IF (${CMAKE_SYSTEM_NAME} MATCHES Linux)
    SET(_OS_LINUX_ 1)
    ADD_DEFINITIONS(-Wall -g)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES Linux)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
      SET(_OS_FREEBSD_ 1)
    ADD_DEFINITIONS(-Wall -g -DKERNEL)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

IF (${CMAKE_SYSTEM_NAME} MATCHES Darwin)
    MESSAGE("")
    MESSAGE(" Warning: Darwin was not tested, and not supported!")
    MESSAGE(" You can mail test nad bugs to us")
    MESSAGE("")
      SET(_OS_DARWIN_ 1)
    ADD_DEFINITIONS(-Wall -g -DKERNEL)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES Darwin)

IF (NOT DEFINED SKIP_RPATH)
    IF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
        SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib64/q4wine")
    ELSE (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
        SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/q4wine")
    ENDIF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
ELSE (NOT DEFINED SKIP_RPATH)
    MESSAGE(STATUS "NOTE: Skip for RPATH build!")
ENDIF (NOT DEFINED SKIP_RPATH)

IF( NOT DESKTOP_ENTRY_PATH )
    SET( DESKTOP_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/applications/ )
ENDIF( NOT DESKTOP_ENTRY_PATH )
IF( NOT PIXMAPS_ENTRY_PATH )
    SET( PIXMAPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/pixmaps/ )
ENDIF( NOT PIXMAPS_ENTRY_PATH )

configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h )

MESSAGE(STATUS "Q4Wine build options --\n")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_ARCH \"${CMAKE_HOST_SYSTEM_PROCESSOR}\"\n" )
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_HOST \"${CMAKE_SYSTEM_NAME}\"\n" )

file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_VERS \"${APP_VERSION}\"\n")
      MESSAGE(STATUS "Version                       : ${APP_VERSION}")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_PREF \"${CMAKE_INSTALL_PREFIX}\"\n" )
    MESSAGE(STATUS "CMAKE_INSTALL_PREFIX          : ${CMAKE_INSTALL_PREFIX}")
    MESSAGE(STATUS "DESKTOP_ENTRY_PATH            : ${DESKTOP_ENTRY_PATH}")
    MESSAGE(STATUS "PIXMAPS_ENTRY_PATH            : ${PIXMAPS_ENTRY_PATH}\n")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "\n#endif\n" )

    MESSAGE(STATUS "DEBUG                         : ${DEBUG}")
    MESSAGE(STATUS "WITH_ICOUTILS                 : ${WITH_ICOUTILS}")
    MESSAGE(STATUS "WITH_WINETRIKS                : ${WITH_WINETRIKS}")
    MESSAGE(STATUS "WITH_EMBEDDED_FUSEISO         : ${WITH_EMBEDDED_FUSEISO}")
    MESSAGE(STATUS "WITH_WINEAPPDB                : ${WITH_WINEAPPDB}")
    MESSAGE(STATUS "USE_BZIP2                     : ${USE_BZIP2}")
    MESSAGE(STATUS "USE_GZIP                      : ${USE_GZIP}")

MESSAGE(STATUS "See INSTALL file for details and more info --\n")

find_program( FUSEISO_BIN NAMES fuseiso )
MESSAGE(STATUS "Searching for fuseiso binary --\n")
IF (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
    MESSAGE(STATUS "    fuseiso : NOT FOUND!\n")
    MESSAGE(STATUS "    WARNING: To have ability to mount and umount ISO9660 images")
    MESSAGE(STATUS "    WARNING: without root privileges you may wish to install")
    MESSAGE(STATUS "    WARNING: fuseiso package ( http://fuseiso.sourceforge.net/ )\n")
ELSE (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
    MESSAGE(STATUS "    fuseiso : ${FUSEISO_BIN}\n")
    IF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )
        MESSAGE(STATUS "    WARNING: You already have fuseiso pakage installed in you system!")
        MESSAGE(STATUS "    WARNING: It is strongly recommended to disable WITH_EMBEDDED_FUSEISO flag")
        MESSAGE(STATUS "    WARNING: and use native fuseiso functions!\n")
    ENDIF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )
ENDIF (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)

IF (WITH_ICOUTILS MATCHES ON)
    find_program( WRESTOOL NAMES wrestool )
    find_program( ICOTOOL NAMES icotool )
    MESSAGE(STATUS "Searching for icoutils binaries (WITH_ICOUTILS=ON) --\n")
    IF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
        MESSAGE(STATUS "    wrestool : NOT FOUND!")
        MESSAGE(FATAL_ERROR "Please install icoutils package or disable icoutils support by adding -DWITH_ICOUTILS="OFF" option to cmake")
    ELSE (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
        MESSAGE(STATUS "    wrestool : ${WRESTOOL}")
    ENDIF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)

    IF (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)
        MESSAGE(STATUS "    icotool  : NOT FOUND!\n")
        MESSAGE(FATAL_ERROR "Please install icoutils package or disable icoutils support by adding -DWITH_ICOUTILS="OFF" option to cmake")
    ELSE (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)
        MESSAGE(STATUS "    icotool  : ${ICOTOOL}\n")
    ENDIF (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)
ENDIF (WITH_ICOUTILS MATCHES ON)

IF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )
    MESSAGE(STATUS "Searching for glib-2.0, fuse, libzip pakages (WITH_EMBEDDED_FUSEISO=ON) --\n")
        FIND_PACKAGE(PkgConfig REQUIRED)

    pkg_search_module(GLIB_LIB REQUIRED glib-2.0)
    pkg_search_module(FUSE_LIB REQUIRED fuse)
    pkg_search_module(ZIP_LIB REQUIRED libzip)
    MESSAGE("\n")
ENDIF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )

SET ( Q4WINE_HEADERS_DIR
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb
    ${CMAKE_SOURCE_DIR}/src/plugins
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication
    /src/q4wine-gui
    src/q4wine-gui
)

INCLUDE_DIRECTORIES( ${Q4WINE_HEADERS_DIR} ${CMAKE_BINARY_DIR} )

include(i18n/CMakeLists.txt)
add_subdirectory(q4wine-lib)
add_subdirectory(q4wine-cli)

IF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )
    add_subdirectory(fuseiso/src)
ENDIF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )

add_subdirectory(qtsingleapplication)

IF (${WITH_WINETRIKS} MATCHES ON )
    include(plugins/CMakeLists.txt)
ENDIF (${WITH_WINETRIKS} MATCHES ON )

add_subdirectory(q4wine-gui)
add_subdirectory(q4wine-helper)
add_subdirectory(data)
add_subdirectory(theme)
add_subdirectory(icons)
add_subdirectory(man1)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    add_subdirectory(freebsd)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

=== src/data/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( ICON_PIXMAPS
    ${CMAKE_SOURCE_DIR}/src/data/eject.png
    ${CMAKE_SOURCE_DIR}/src/data/explorer.png
    ${CMAKE_SOURCE_DIR}/src/data/exec_wine.png
    ${CMAKE_SOURCE_DIR}/src/data/notepad.png
    ${CMAKE_SOURCE_DIR}/src/data/regedit.png
    ${CMAKE_SOURCE_DIR}/src/data/uninstaller.png
    ${CMAKE_SOURCE_DIR}/src/data/winecfg.png
    ${CMAKE_SOURCE_DIR}/src/data/wineconsole.png
)

install(FILES ${ICON_PIXMAPS} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/q4wine/icons)

=== src/i18n/CMakeLists.txt ===
# i18n cmake lists

cmake_minimum_required(VERSION 2.6)

SET ( Q4WINE_I18N_SOURCES
    ${CMAKE_SOURCE_DIR}/src/i18n/en_us.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/ru_ru.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/uk_ua.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/pt_br.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/es_es.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/it_it.ts
)

=== src/icons/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( DESKTOP_PIXMAPS
    ${CMAKE_SOURCE_DIR}/src/icons/q4wine.png
)

install(FILES ${DESKTOP_PIXMAPS} DESTINATION ${PIXMAPS_ENTRY_PATH})

=== src/man1/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET ( MAN_PAGES
    ${CMAKE_SOURCE_DIR}/src/man1/q4wine.1
    ${CMAKE_SOURCE_DIR}/src/man1/q4wine-cli.1
    ${CMAKE_SOURCE_DIR}/src/man1/q4wine-helper.1
)


MESSAGE(STATUS "Process man pages --")

IF (USE_GZIP MATCHES ON)
   SET ( ARC gzip )
   SET ( ARC_SUFF gz )
ENDIF (USE_GZIP MATCHES ON)

IF (USE_BZIP2 MATCHES ON)
   SET ( ARC bzip2 )
   SET ( ARC_SUFF bz2 )
ENDIF (USE_BZIP2 MATCHES ON)

IF (ARC)
    find_program( ARC_BIN NAMES ${ARC} )
    MESSAGE(STATUS "Searching for ${ARC} binary --\n")
    IF (${ARC_BIN} MATCHES ARC_BIN-NOTFOUND)
         MESSAGE(STATUS "    ${ARC} : NOT FOUND!\n")
         MESSAGE(FATAL_ERROR "Please install ${ARC} package!")
    ELSE (${ARC_BIN} MATCHES ARC_BIN-NOTFOUND)
         MESSAGE(STATUS "    ${ARC} : ${ARC_BIN}\n")
    ENDIF (${ARC_BIN} MATCHES ARC_BIN-NOTFOUND)

     foreach ( MAN_PAGE ${MAN_PAGES})
         EXECUTE_PROCESS (
         OUTPUT_FILE ${MAN_PAGE}.${ARC_SUFF}
         COMMAND "${ARC_BIN}" -9
         INPUT_FILE ${MAN_PAGE}
         WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src/man1/)

         MESSAGE(STATUS "    ${ARC} page ${MAN_PAGE}")
    endforeach()

    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/man1 DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/man FILES_MATCHING PATTERN "*.1.${ARC_SUFF}"
    PATTERN "CMakeFiles" EXCLUDE)

 ELSE (ARC)
    MESSAGE(STATUS "Compresser flags (USE_BZIP2 or USE_GZIP) not set --\n")
    MESSAGE(STATUS "Installing not compressed man pages --\n")

    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/man1 DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/man FILES_MATCHING PATTERN "*.1"
    PATTERN "CMakeFiles" EXCLUDE)
 ENDIF (ARC)

=== src/q4wine-cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( Q4WINE_CLI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli/q4wine-cli.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
)

SET( Q4WINE_CLI_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib/q4wine-lib.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli/q4wine-cli.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/image.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h  
)

ADD_EXECUTABLE( q4wine-cli ${Q4WINE_CLI_SOURCES} ${Q4WINE_CLI_HEADERS} ${QM_I18N} ${Q4WINE_LIB_UI_HEADERS} ${Q4WINE_LIB_LIB_MOC_SOURCES} )

IF (${CMAKE_SYSTEM_NAME} MATCHES Linux)
    TARGET_LINK_LIBRARIES( q4wine-cli ${QT_LIBRARIES} q4wine-core)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES Linux)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
    TARGET_LINK_LIBRARIES( q4wine-cli ${QT_LIBRARIES} ${BSD_LIBS} q4wine-core)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

install(TARGETS q4wine-cli DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== src/q4wine-gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( DESKTOP_GUI_ENTRY
    ${CMAKE_SOURCE_DIR}/q4wine.desktop
)

SET ( Q4WINE_RESOURCE_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine.qrc
)

SET( Q4WINE_GUI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.cpp
    ${CMAKE_SOURCE_DIR}/src/main.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/last_run_icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.cpp
    ${CMAKE_SOURCE_DIR}/src/core/registry.cpp
    ${CMAKE_SOURCE_DIR}/src/core/xmlparser.cpp
    ${CMAKE_SOURCE_DIR}/src/core/httpcore.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.cpp
)

SET ( Q4WINE_GUI_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.h
    ${CMAKE_SOURCE_DIR}/src/core/registry.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/last_run_icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/image.h
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.h
    ${CMAKE_SOURCE_DIR}/src/core/appdbstructs.h
    ${CMAKE_SOURCE_DIR}/src/core/xmlparser.h
    ${CMAKE_SOURCE_DIR}/src/core/httpcore.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.h
)

SET ( Q4WINE_GUI_MOC_HEADEDRS
    ${CMAKE_SOURCE_DIR}/src/core/registry.h
    ${CMAKE_SOURCE_DIR}/src/core/xmlparser.h
    ${CMAKE_SOURCE_DIR}/src/core/httpcore.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
)

SET ( Q4WINE_GUI_UI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/About.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconsView.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/MainWindow.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/PrefixSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Process.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Run.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Wizard.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/ImageManager.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/WineDriveDialog.ui
)

IF (${WITH_WINEAPPDB} MATCHES ON )
    SET( Q4WINE_GUI_SOURCES
        ${Q4WINE_GUI_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.cpp
    )

    SET ( Q4WINE_GUI_HEADERS
        ${Q4WINE_GUI_HEADERS}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.h
    )

    SET ( Q4WINE_GUI_MOC_HEADEDRS
        ${Q4WINE_GUI_MOC_HEADEDRS}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.h
    )

    SET ( Q4WINE_GUI_UI_SOURCES
        ${Q4WINE_GUI_UI_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppInfoWidget.ui
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppTestWidget.ui
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/CommentWidget.ui
    )
ENDIF (${WITH_WINEAPPDB} MATCHES ON )

QT4_ADD_RESOURCES( RCC_SRCS ${Q4WINE_RESOURCE_SOURCES} )

QT4_WRAP_UI( Q4WINE_GUI_UI_HEADERS ${Q4WINE_GUI_UI_SOURCES} ${PLUGINS_GUI_UI_SOURCES} )
QT4_WRAP_CPP( Q4WINE_GUI_MOC_SOURCES ${Q4WINE_GUI_MOC_HEADEDRS} ${PLUGINS_GUI_MOC_HEADEDRS} )

QT4_ADD_TRANSLATION( QM_I18N ${Q4WINE_I18N_SOURCES})

install(FILES ${QM_I18N} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/q4wine/i18n)


ADD_EXECUTABLE( q4wine ${Q4WINE_GUI_SOURCES} ${Q4WINE_GUI_HEADERS} ${Q4WINE_GUI_UI_HEADERS} ${Q4WINE_GUI_MOC_SOURCES} ${RCC_SRCS} ${QM_I18N} ${PLUGINS_GUI_SOURCES} ${PLUGINS_GUI_HEADERS} ${PLUGINS_GUI_UI_HEADERS} ${PLUGINS_GUI_MOC_SOURCES})

IF (${CMAKE_SYSTEM_NAME} MATCHES Linux)
    TARGET_LINK_LIBRARIES( q4wine ${QT_LIBRARIES} q4wine-core qtsingleapp)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES Linux)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
    TARGET_LINK_LIBRARIES( q4wine ${QT_LIBRARIES} ${BSD_LIBS} q4wine-core qtsingleapp)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

install(TARGETS q4wine DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${DESKTOP_GUI_ENTRY} DESTINATION ${DESKTOP_ENTRY_PATH})

=== src/q4wine-helper/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6) 

SET ( Q4WINE_HEADERS_DIR
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb
    ${CMAKE_SOURCE_DIR}/src/plugins
)

INCLUDE_DIRECTORIES( ${Q4WINE_HEADERS_DIR} ${CMAKE_BINARY_DIR} )

SET( Q4WINE_HELPER_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/q4wine-helper.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/wineobject.cpp
)

SET( Q4WINE_HELPER_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/q4wine-helper.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/wineobject.h
)

SET ( Q4WINE_HELPER_MOC_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/wineobject.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
)

QT4_WRAP_CPP( Q4WINE_HELPER_LIB_MOC_SOURCES ${Q4WINE_HELPER_MOC_HEADERS} )

ADD_EXECUTABLE( q4wine-helper ${Q4WINE_HELPER_SOURCES}
    ${Q4WINE_HELPER_UI_HEADERS} ${Q4WINE_LIB_UI_HEADERS}
    ${Q4WINE_LIB_LIB_MOC_SOURCES} ${Q4WINE_HELPER_LIB_MOC_SOURCES} 
    ${Q4WINE_HELPER_HEADERS} ${QM_I18N} )

IF (${CMAKE_SYSTEM_NAME} MATCHES Linux)
    TARGET_LINK_LIBRARIES( q4wine-helper ${QT_LIBRARIES} q4wine-core)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES Linux)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
    TARGET_LINK_LIBRARIES( q4wine-helper ${QT_LIBRARIES} ${BSD_LIBS} q4wine-core)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

install(TARGETS q4wine-helper DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== src/q4wine-lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6) 

SET ( Q4WINE_HEADERS_DIR
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb
    ${CMAKE_SOURCE_DIR}/src/plugins
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication
)

INCLUDE_DIRECTORIES( ${Q4WINE_HEADERS_DIR} ${CMAKE_BINARY_DIR} )

SET( Q4WINE_LIB_SOURCES
        ${CMAKE_SOURCE_DIR}/src/q4wine-lib/q4wine-lib.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
)

SET( Q4WINE_LIB_HEADERS
        ${CMAKE_SOURCE_DIR}/src/q4wine-lib/q4wine-lib.h
        ${CMAKE_SOURCE_DIR}/config.h
        ${CMAKE_SOURCE_DIR}/src/core/database/db.h
        ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
        ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
        ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
        ${CMAKE_SOURCE_DIR}/src/core/database/image.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
)

SET ( Q4WINE_LIB_MOC_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
)

SET ( Q4WINE_LIB_UI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Process.ui
)

QT4_WRAP_UI( Q4WINE_LIB_UI_HEADERS ${Q4WINE_LIB_UI_SOURCES} )
QT4_WRAP_CPP( Q4WINE_LIB_LIB_MOC_SOURCES ${Q4WINE_LIB_MOC_HEADERS} )

ADD_LIBRARY( q4wine-core SHARED ${Q4WINE_LIB_SOURCES} ${Q4WINE_LIB_UI_HEADERS} ${Q4WINE_LIB_LIB_MOC_SOURCES} ${Q4WINE_LIB_HEADERS} ${QM_I18N} )

IF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
    install(TARGETS q4wine-core LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib64/q4wine)
ELSE (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
    install(TARGETS q4wine-core LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/q4wine)
ENDIF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)

=== src/qtsingleapplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( QSINGLEAPP_LIB_SOURCES
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication/qtsingleapplication.cpp
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication/qtlocalpeer.cpp
)

SET( QSINGLEAPP_LIB_HEADERS
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication/qtsingleapplication.h
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication/qtlocalpeer.h
)

SET( QSINGLEAPP_LIB_MOC_HEADERS
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication/qtsingleapplication.h
    ${CMAKE_SOURCE_DIR}/src/qtsingleapplication/qtlocalpeer.h
)

QT4_WRAP_CPP( QTSINGLEAPPLICATION-LIB-MOC-SRCS ${QSINGLEAPP_LIB_MOC_HEADERS} )

ADD_LIBRARY( qtsingleapp STATIC ${QSINGLEAPP_LIB_SOURCES} ${QSINGLEAPP_LIB_HEADERS} ${QTSINGLEAPPLICATION-LIB-MOC-SRCS}  )

=== src/theme/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/theme DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/q4wine FILES_MATCHING PATTERN "*.png"
    PATTERN "CMakeFiles" EXCLUDE)

=== src/fuseiso/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET ( Q4WINE_FUSEISO_SOURCES
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/fuseiso.c
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/isofs.c
)

SET ( Q4WINE_FUSEISO_HEADERS
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/linux/iso_fs.h
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/linux/rock.h
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/isofs.h
)

SET ( FUSE_LIB_INCLUDE_DIRS
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src
)

INCLUDE_DIRECTORIES( ${GLIB_LIB_INCLUDE_DIRS} ${FUSE_LIB_INCLUDE_DIRS} )

ADD_EXECUTABLE( q4wine-mount ${Q4WINE_FUSEISO_SOURCES} ${Q4WINE_FUSEISO_HEADERS} )
SET_TARGET_PROPERTIES( q4wine-mount PROPERTIES COMPILE_FLAGS ${FUSE_LIB_CFLAGS} COMPILE_FLAGS ${GLIB_LIB_CFLAGS} )
TARGET_LINK_LIBRARIES( q4wine-mount ${FUSE_LIB_LDFLAGS} ${GLIB_LIB_LDFLAGS} ${ZIP_LIB_LDFLAGS})

install(TARGETS q4wine-mount DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== debian/changelog ===
q4wine (0.118-4) unstable; urgency=low

  * Fixed `Depends' and `Build-Depends' in debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 28 May 2010 02:58:02 +0400

q4wine (0.118-3) unstable; urgency=low

  * Fixed `Depends' in debian/control.
    (wine for amd64, hurd-i386, i386, kfreebsd-i386, powerpc and sparc
    is now available only in experimental branch of Debian)
  * Fixed `Build-Depends' for hurd-i386 in debian/control.
    (wine for hurd-i386 is now available in experimental branch of Debian)
  * Removed xdg-utils dependency from debian/control.
    (It's unnecessary in Q4Wine since version 0.118)

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 26 May 2010 15:16:23 +0400

q4wine (0.118-2) unstable; urgency=low

  * Added kfreebsd-i386 and kfreebsd-amd64 specific dependencies
    to debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 13 May 2010 22:45:50 +0400

q4wine (0.118-1) unstable; urgency=low

  * Initial release (closes: #550148).

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 25 Apr 2010 02:06:31 +0400

=== debian/control ===
Source: q4wine
Section: otherosfs
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7), cmake, autotools-dev, fakeroot, libqt4-dev (>=4.4.0), qt4-dev-tools (>=4.4.0), qt4-qtconfig (>=4.4.0), icoutils (>=0.26.0), libfuse2 [!hurd-i386], libfuse-dev [!hurd-i386], libkvm-dev [kfreebsd-i386 kfreebsd-amd64]
Homepage: http://q4wine.brezblock.org.ua/
Standards-Version: 3.8.4

Package: q4wine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, sqlite3 (>=3.5.6), icoutils (>=0.26.0), wget, sudo, wine [amd64 i386] | wine-unstable [amd64 i386] | wine1.0 [amd64 i386] | wine1.2 [amd64 i386]
Suggests: fuseiso
Replaces: q4wine-unstable
Conflicts: q4wine-unstable
Description: Qt4 GUI for wine (W.I.N.E)
 Q4Wine will help you manage wine prefixes and installed applications.
 .
 General features:
  - Can export Qt color theme into wine colors settings.
  - Can easy work with different wine versions at same time;
  - Easy creating, deleting and managing prefixes (WINEPREFIX);
  - Easy controlling for wine process;
  - Easy installer wizard for wine applications; (Not yet. Wait for v. 0.120)
  - autostart icons support;
  - Easy cd-image use;
  - FuseISO\Embedded FuseISO mount profiles;
  - You can extract icons from PE files (.exe .dll);
  - Easy backup and restore for managed prefixes.
  - Winetriks support.
  - and more...

=== debian/rules ===
#!/usr/bin/make -f

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1
endif

CMAKEOPTS = -DWITH_WINETRIKS=ON -DCMAKE_INSTALL_PREFIX=/usr .

config.status:
	dh_testdir
	cmake $(CMAKEOPTS)
	cp ChangeLog changelog

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE) -j$(NCPUS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) DESTDIR=$(CURDIR)/debian/q4wine clean
	rm -f config.sub config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/q4wine install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
